Subject: Re: bug#22875: 24.5; HOME-variable not resolve in Win7

From: Eli Zaretskii <[email-masked]>
Date: Tue, 01 Mar 2016 22:22:05 +0200

> From: Studt Reimer <[email-masked]>
> Date: Tue, 1 Mar 2016 19:38:18 +0000
> 
> On start-up of emacs, the .emacs file could not be loaded, because emacs
> resolved the Windows HOME variable to *exactly* how it was defined. That
> was the text %HOMEDRIVE%%HOMEPATH%. Emacs could not resolve these two
> variables.

The feature you expected is not supported.  Environment variables are
only expanded at startup if they are found in the Registry, not in the
shell's environment.

How did you define such a value for an environment variable?  If I try
defining HOME=%HOMEDRIVE%%HOMEPATH% from the cmd prompt, cmd expands
the 2 variables, and the same if I defined HOME from the Computer's
Properties' "Advanced" tab.  So I'm not sure how you get into this
situation.  Can you explain?

Thanks.